For the complete documentation index, see llms.txt. This page is also available as Markdown.

List SOA Amounts associated with a SOA

List SOA Amounts associated with a SOA

Required permissions: SOA

get
/tenants/{tenantUid}/soas/{soaUid}/amounts
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
soaUidstringRequired

Reference to a SOA.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
Responses
2XX

List of SOA Amounts

application/json
get/tenants/{tenantUid}/soas/{soaUid}/amounts
GET /v2/tenants/{tenantUid}/soas/{soaUid}/amounts HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
2XX

List of SOA Amounts

{
  "items": [
    {
      "soaUid": "text",
      "storeUid": "text",
      "productUid": "text",
      "soaAmountUid": "text",
      "amount": 1,
      "fromDateTime": "2026-01-01T00:00:00.000Z",
      "toDateTime": "2026-01-01T00:00:00.000Z",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "createdBy": "text",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastModifiedBy": "text"
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?